# Class yii\web\HttpException

Inheritance | yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception

Subclasses

yii\web\BadRequestHttpException, yii\web\ConflictHttpException, yii\web\ForbiddenHttpException, yii\web\GoneHttpException, yii\web\MethodNotAllowedHttpException, yii\web\NotAcceptableHttpException, yii\web\NotFoundHttpException, yii\web\RangeNotSatisfiableHttpException, yii\web\ServerErrorHttpException, yii\web\TooManyRequestsHttpException, yii\web\UnauthorizedHttpException, yii\web\UnprocessableEntityHttpException, yii\web\UnsupportedMediaTypeHttpException

Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/HttpException.php

HttpException represents an exception caused by an improper request of the end-user.

HttpException can be differentiated via its $statusCode property value which keeps a standard HTTP status code (e.g. 404, 500). Error handlers may use this status code to decide how to format the error page.

Throwing an HttpException like in the following example will result in the 404 page to be displayed.

    if ($item === null) { // item does not exist
        throw new \yii\web\HttpException(404, 'The requested Item could not be found.');
    }

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\HttpException
getName() |  | yii\web\HttpException

## Property Details

$statusCode public property

HTTP status code, such as 403, 404, 500, etc.

public integer $statusCode = null

## Method Details

__construct() public method

Constructor.

public void __construct ( $status, $message = null, $code = 0, Exception $previous = null )
$status | integer | HTTP status code, such as 404, 500, etc.
$message | string | Error message
$code | integer | Error code
$previous | Exception | The previous exception used for the exception chaining.

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception